Mesh Scale/de: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
 
(8 intermediate revisions by 2 users not shown)
Line 2: Line 2:


{{Docnav
{{Docnav
|[[Mesh_Decimating/de|Decimating]]
|[[Mesh_Decimating/de|Dezimieren]]
|[[Mesh_BuildRegularSolid/de|BuildRegularSolid]]
|[[Mesh_BuildRegularSolid/de|RegelgeometrieErstellen]]
|[[Mesh_Workbench/de|Mesh]]
|[[Mesh_Workbench/de|Mesh]]
|IconL=Mesh_Decimating.svg
|IconL=Mesh_Decimating.svg
Line 10: Line 10:
}}
}}


<div class="mw-translate-fuzzy">
{{GuiCommand/de
{{GuiCommand/de
|Name=Mesh Scale
|Name=Mesh Scale
|Name/de=Mesh Scale
|Name/de=Mesh Skalieren
|MenuLocation=Netze → Skalieren...
|Workbenches=[[Mesh Workbench/de|Polygonnetz]]
|Workbenches=[[Mesh_Workbench/de|Mesh]]
|MenuLocation=
|Shortcut=
|SeeAlso=
}}
}}
</div>


<span id="Description"></span>
<div class="mw-translate-fuzzy">
==Einleitung==
==Beschreibung==
</div>


The '''Mesh Scale''' command scales mesh objects.
Der Befehl '''Mesh Skalieren''' passt die Größe von Netzobjekten an.


<span id="Usage"></span>
<div class="mw-translate-fuzzy">
==Anwendung==
==Anwendung==
</div>


# Select one or more mesh objects.
# Select one or more mesh objects.
# There are several ways to invoke the command:
# There are several ways to invoke the command:
#* Press the {{Button|[[Image:Mesh_Scale.svg|16px]] [[Mesh_Scale|Mesh Scale]]}} button.
#* Press the {{Button|[[Image:Mesh_Scale.svg|16px]] [[Mesh_Scale|Scale...]]}} button.
#* Select the {{MenuCommand|Meshes → [[Image:Mesh_Scale.svg|16px]] Scale...}} option from the menu.
#* Select the {{MenuCommand|Meshes → [[Image:Mesh_Scale.svg|16px]] Scale...}} option from the menu.
# The {{MenuCommand|Scaling}} dialog box opens.
# The {{MenuCommand|Scaling}} dialog box opens.
Line 39: Line 33:
# Press the {{button|OK}} button to finish the command.
# Press the {{button|OK}} button to finish the command.


==Scripting==


See also: [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
{{Docnav/de

|[[Mesh_Decimating/de|Decimating]]
To scale a mesh use its {{incode|transformGeometry}} method.
|[[Mesh_BuildRegularSolid/de|BuildRegularSolid]]

{{Code|code=
import FreeCAD as App
import Mesh

# Create a non-parametric box-shaped mesh:
msh = App.ActiveDocument.addObject("Mesh::Feature", "Mesh")
msh.Mesh = Mesh.createBox(10, 10, 10)
msh.ViewObject.DisplayMode = "Flat Lines"

# Create and scale a matrix:
mat = App.Matrix()
mat.scale(2.0, 3.0, 4.0) # Unequal scaling.

# We need to work on a copy of the msh.Mesh object:
new_msh = msh.Mesh.copy()

# Transform that copy:
new_msh.transformGeometry(mat)

# Update msh.Mesh:
msh.Mesh = new_msh
}}


{{Docnav
|[[Mesh_Decimating/de|Dezimieren]]
|[[Mesh_BuildRegularSolid/de|RegelgeometrieErstellen]]
|[[Mesh_Workbench/de|Mesh]]
|[[Mesh_Workbench/de|Mesh]]
|IconL=Mesh_Decimating.svg
|IconL=Mesh_Decimating.svg
Line 51: Line 74:
{{Mesh Tools navi{{#translation:}}}}
{{Mesh Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Latest revision as of 13:15, 26 November 2023

Mesh Skalieren

Menüeintrag
Netze → Skalieren...
Arbeitsbereich
Mesh
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Keiner

Beschreibung

Der Befehl Mesh Skalieren passt die Größe von Netzobjekten an.

Anwendung

  1. Select one or more mesh objects.
  2. There are several ways to invoke the command:
    • Press the Scale... button.
    • Select the Meshes → Scale... option from the menu.
  3. The Scaling dialog box opens.
  4. Specify a scaling factor, the value must be larger than 0.
  5. Press the OK button to finish the command.

Scripting

See also: FreeCAD Scripting Basics.

To scale a mesh use its transformGeometry method.

import FreeCAD as App
import Mesh

# Create a non-parametric box-shaped mesh:
msh = App.ActiveDocument.addObject("Mesh::Feature", "Mesh")
msh.Mesh = Mesh.createBox(10, 10, 10)
msh.ViewObject.DisplayMode = "Flat Lines"

# Create and scale a matrix:
mat = App.Matrix()
mat.scale(2.0, 3.0, 4.0) # Unequal scaling.

# We need to work on a copy of the msh.Mesh object:
new_msh = msh.Mesh.copy()

# Transform that copy:
new_msh.transformGeometry(mat)

# Update msh.Mesh:
msh.Mesh = new_msh